package com.yuchen.saas.parking.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.nest.springwrap.core.mp.support.Query;

import java.util.Date;

/**
 * @author zhouhanwei
 * @create 2023/3/20 15:21
 */
@EqualsAndHashCode(callSuper = true)
@ToString
@ApiModel()
public class ParkingInternalCarPageDTO extends Query {

    /**
     * 园区ID
     */
    @ApiModelProperty(name = "parkId", value = "园区ID")
    private Long parkId;


    /**
     * 停车场ID
     */
    @ApiModelProperty(name = "parkingId", value = "停车场ID")
    private Long parkingId;

    /**
     * 车牌号
     */
    @ApiModelProperty(name = "plateNo", value = "车牌号")
    private String plateNo;

    /**
     * 车主姓名
     */
    @ApiModelProperty(name = "personName", value = "车主姓名")
    private String personName;

    /**
     * 手机号
     */
    @ApiModelProperty(name = "personPhone", value = "手机号")
    private String personPhone;

    /**
     * 车辆类型（0：其他车、1：小型车、2：大型车、3：摩托车）
     */
    @ApiModelProperty(name = "vehicleType", value = "车辆类型（0：其他车、1：小型车、2：大型车、3：摩托车）")
    private Integer vehicleType;

    /**
     * 能源类型（0：其他类型、1：汽油车、2：新能源）
     */
    @ApiModelProperty(name = "energyType", value = "能源类型（0：其他类型、1：汽油车、2：新能源）")
    private Integer energyType;




    /**
     * 车辆状态（0 关闭 1 开启）
     */
    @ApiModelProperty(name = "carState", value = "车辆状态（0 关闭 1 开启）")
    private Integer carState;


    /**
     * 包期规则ID
     */
    @ApiModelProperty(name = "ruleId", value = "包期规则ID")
    private Long ruleId;

    /**
     * 包租 开始时间
     */
    @ApiModelProperty(name = "beginTime", value = "包租 开始时间 ")
    private Date beginTime;

    /**
     * 包租 结束时间
     */
    @ApiModelProperty(name = "endTime", value = "包租 结束时间")
    private Date endTime;

    /**
     * 为车辆分配的车位号
     */
    @ApiModelProperty(name = "placeNo", value = "为车辆分配的车位号")
    private String placeNo;

    /**
     * 车位ID
     */
    @ApiModelProperty(name = "placeId", value = "车位ID")
    private Long placeId;


    /**
     * 行驶证号码
     */
    @ApiModelProperty(name = "vehicleLicenseNumber", value = "行驶证号码")
    private String vehicleLicenseNumber;

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public Long getParkingId() {
        return parkingId;
    }

    public void setParkingId(Long parkingId) {
        this.parkingId = parkingId;
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public String getPersonPhone() {
        return personPhone;
    }

    public void setPersonPhone(String personPhone) {
        this.personPhone = personPhone;
    }

    public Integer getVehicleType() {
        return vehicleType;
    }

    public void setVehicleType(Integer vehicleType) {
        this.vehicleType = vehicleType;
    }

    public Integer getEnergyType() {
        return energyType;
    }

    public void setEnergyType(Integer energyType) {
        this.energyType = energyType;
    }

    public Integer getCarState() {
        return carState;
    }

    public void setCarState(Integer carState) {
        this.carState = carState;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getPlaceNo() {
        return placeNo;
    }

    public void setPlaceNo(String placeNo) {
        this.placeNo = placeNo;
    }

    public Long getPlaceId() {
        return placeId;
    }

    public void setPlaceId(Long placeId) {
        this.placeId = placeId;
    }

    public String getVehicleLicenseNumber() {
        return vehicleLicenseNumber;
    }

    public void setVehicleLicenseNumber(String vehicleLicenseNumber) {
        this.vehicleLicenseNumber = vehicleLicenseNumber;
    }
}
